Overview
GET
/ecosystem/applications/{appId}/schema-grantsecosystemGet an application’s schema permissions (per bucket + per table CRUD)
Fetch a record from schema-grants by appId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- appIdpathstring
Responses
200
The application’s schema grants
- grantsobject[]
Example
{
"grants": [
{
"schemaId": "string",
"crud": "string",
"tables": [
{
"tableId": "string",
"crud": "string"
}
]
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/ecosystem/applications/{appId}/schema-grants" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/applications/{appId}/schema-grants", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();